OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPConstruct

# STEPConstruct_DataMapOfAsciiStringTransient Class Reference

`#include <STEPConstruct_DataMapOfAsciiStringTransient.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPConstruct_DataMapOfAsciiStringTransient (const Standard_Integer NbBuckets=1)
Standard_EXPORT STEPConstruct_DataMapOfAsciiStringTransient & | Assign (const STEPConstruct_DataMapOfAsciiStringTransient &Other)
STEPConstruct_DataMapOfAsciiStringTransient & | operator= (const STEPConstruct_DataMapOfAsciiStringTransient &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~STEPConstruct_DataMapOfAsciiStringTransient ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const TCollection_AsciiString &K) const
const Handle_Standard_Transient & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const TCollection_AsciiString &K)
Handle_Standard_Transient & | operator() (const TCollection_AsciiString &K)
## Private Member Functions
Standard_EXPORT | STEPConstruct_DataMapOfAsciiStringTransient (const STEPConstruct_DataMapOfAsciiStringTransient &Other)

## Constructor & Destructor Documentation

Standard_EXPORT STEPConstruct_DataMapOfAsciiStringTransient::STEPConstruct_DataMapOfAsciiStringTransient | ( | const Standard_Integer | NbBuckets = `1` | ) |

STEPConstruct_DataMapOfAsciiStringTransient::~STEPConstruct_DataMapOfAsciiStringTransient | ( |  | ) | `[inline]`

Standard_EXPORT STEPConstruct_DataMapOfAsciiStringTransient::STEPConstruct_DataMapOfAsciiStringTransient | ( | const STEPConstruct_DataMapOfAsciiStringTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT STEPConstruct_DataMapOfAsciiStringTransient& STEPConstruct_DataMapOfAsciiStringTransient::Assign | ( | const STEPConstruct_DataMapOfAsciiStringTransient & | Other | ) |

Standard_EXPORT Standard_Boolean STEPConstruct_DataMapOfAsciiStringTransient::Bind | ( | const TCollection_AsciiString & | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& STEPConstruct_DataMapOfAsciiStringTransient::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void STEPConstruct_DataMapOfAsciiStringTransient::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& STEPConstruct_DataMapOfAsciiStringTransient::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean STEPConstruct_DataMapOfAsciiStringTransient::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void STEPConstruct_DataMapOfAsciiStringTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPConstruct_DataMapOfAsciiStringTransient::operator new | ( | size_t | size | ) | `[inline]`

void* STEPConstruct_DataMapOfAsciiStringTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& STEPConstruct_DataMapOfAsciiStringTransient::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const Handle_Standard_Transient& STEPConstruct_DataMapOfAsciiStringTransient::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

STEPConstruct_DataMapOfAsciiStringTransient& STEPConstruct_DataMapOfAsciiStringTransient::operator= | ( | const STEPConstruct_DataMapOfAsciiStringTransient & | Other | ) | `[inline]`

Standard_EXPORT void STEPConstruct_DataMapOfAsciiStringTransient::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean STEPConstruct_DataMapOfAsciiStringTransient::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- STEPConstruct_DataMapOfAsciiStringTransient.hxx